This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 895002 - when lun number >= 9 for usb-uas, guest couldn't see the lun any more without any error
when lun number >= 9 for usb-uas, guest couldn't see the lun any more without...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 04:38 EST by Gunannan Ren
Modified: 2014-06-18 03:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 09:05:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gunannan Ren 2013-01-14 04:38:32 EST
Description of problem:
when lun number >= 9 for usb-uas, guest couldn't see the lun any more without any error

/usr/bin/qemu-system-x86_64 -name guesttest -M pc-0.15 -enable-kvm -m 1024 \ -device usb-ehci,id=ehci \
-device usb-uas,id=uas,bus=ehci.0 \
-drive file=/var/lib/libvirt/images/fedora.img,if=ide,id=drive1,format=raw \
-drive file=/var/lib/libvirt/images/seconddisk,if=none,id=uas-disk1,format=raw \
-device scsi-hd,bus=uas.0,scsi-id=0,lun=9,drive=uas-disk1

linux-3.7.1 with CONFIG_USB_UAS=y.
# /usr/bin/qemu-system-x86_64 --version
QEMU emulator version 1.3.50


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
couldn't see the lun attached to uas controller

Expected results:
the lun shows up in guest.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.